-- Clear out old values because mysql is mysql
DELETE from settings where value in
(
 'AllowQuitShutdown',
 'AllowConnFromAll',
 'ListenOnAllIps',
 'BackendServerIP',
 'BackendServerIP6',
 'HaltCommand',
 'RebootCommand',
 'Theme'
 );

INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
 ('AllowQuitShutdown'     ,'4'                             , 'apheleia'),
 ('AllowConnFromAll'      ,'0'                             , 'apheleia'),
 ('ListenOnAllIps'        ,'0'                             , 'apheleia'),
 ('BackendServerIP'       ,'127.0.0.1'                     , 'apheleia'),
 ('BackendServerIP6'      ,'::1'                           , 'apheleia'),
 ('HaltCommand'           ,'sudo /sbin/halt'               , 'apheleia'),
 ('RebootCommand'         ,'sudo /sbin/reboot'             , 'apheleia'),
 ('Theme'                 ,'LinHES'                        , 'apheleia');
--

--INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
-- ('NonID3FileNameFormat'        ,'GENRE/ARTIST/ALBUM/TRACK_TITLE' , 'apheleia'),
-- ('CDDevice'                    ,'/dev/cdrom'                     , 'apheleia'),
-- ('MusicAudioDevice'            ,'default'                        , 'apheleia'),
-- ('MythArchiveCopyRemoteFiles'  ,'1'                              , 'apheleia'),
-- ('GalleryDir'                  ,'/myth/gallery'                  , 'apheleia'),
-- ('MusicLocation'               ,'/myth/music/'                   , 'apheleia'),
-- ('mythgame.screenshotdir'      ,'/myth/games/screenshots'        , 'apheleia'),
-- ('mythgame.fanartdir'          ,'/myth/games/fanart'             , 'apheleia'),
-- ('mythgame.boxartdir'          ,'/myth/games/boxart'             , 'apheleia'),
-- ('MythArchiveTempDir'          ,'/myth/tmp'                      , 'apheleia');


-- MythVideo old local dir..replaced by storage groups, but should set values to null
INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
('VideoStartupDir'             ,''  , 'apheleia'),
('mythvideo.TrailersDir'       ,''  , 'apheleia'),
('VideoArtworkDir'             ,''  , 'apheleia'),
('ScreenShotPath'              ,''  , 'apheleia'),
('mythvideo.screenshotDir'     ,''  , 'apheleia'),
('mythvideo.bannerDir'         ,''  , 'apheleia'),
('mythvideo.fanartDir'         ,''  , 'apheleia');


-- /myth based storage groups are obsolete, add_storage.py will create the ones it needs.
-- putting in artwork ones on disk0
INSERT INTO `storagegroup` (`groupname`, `hostname`, `dirname`) VALUES
--  ('Default'     ,'apheleia'    ,'/myth/tv/'),
--  ('LiveTV'      ,'apheleia'    ,'/myth/tv/live/'),
--  ('Videos'      ,'apheleia'    ,'/myth/video/'),
('Coverart'    ,'apheleia'    ,'/data/storage/disk0/media/artwork/coverart/'),
('Banners'     ,'apheleia'    ,'/data/storage/disk0/media/artwork/banners/'),
('Fanart'      ,'apheleia'    ,'/data/storage/disk0/media/artwork/fanart/'),
('Screenshots' ,'apheleia'    ,'/data/storage/disk0/media/artwork/screenshots/'),
('Trailers'    ,'apheleia'    ,'/data/storage/disk0/media/artwork/trailers/'),
--  ('Streaming'   ,'apheleia'    ,'/myth/streaming'),
('DB Backups'  ,'apheleia'    ,'/data/storage/disk0/backup/mythtv_backups/');


-- Clear out old values because mysql is mysql
DELETE from settings where value in
('OverrideExitMenu',
 'NetworkControlEnabled',
 'SecurityPin',
 'BackendStopCommand',
 'BackendStartCommand');

INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
('OverrideExitMenu','3','apheleia'),
('NetworkControlEnabled','1','apheleia'),
('SecurityPin','0000','apheleia'),
('BackendStopCommand','sudo systemctl stop mythbackend.service' ,NULL),
('BackendStartCommand','sudo systemctl start mythbackend.service' ,NULL);
--

-- Clear out old user jobs
DELETE FROM `settings` where value in
('JobAllowUserJob1',
 'JobAllowUserJob2',
 'JobAllowUserJob3',
 'JobAllowUserJob4',
 'UserJob1',
 'UserJob2',
 'UserJob3',
 'UserJob4',
 'UserJobDesc1',
 'UserJobDesc2',
 'UserJobDesc3',
 'UserJobDesc4');


INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
 ('JobAllowUserJob1','1','apheleia'),
 ('JobAllowUserJob2','1','apheleia'),
 ('JobAllowUserJob3','1','apheleia'),
 ('JobAllowUserJob4','0','apheleia'),
 ('UserJob1','/usr/bin/mythvidexport.py %JOBID%','apheleia'),
 ('UserJob2','/usr/bin/myth2mkv "%DIR%/%FILE%" "%CHANID%" "%STARTTIME%" "%TITLE%" "%SUBTITLE%" "%JOBID%" "HP"','apheleia'),
 ('UserJob3','/usr/bin/myth2mp3 "%DIR%/%FILE%" "%TITLE% - %SUBTITLE%" "%CHANID%" "%STARTTIME%"','apheleia'),
 ('UserJob4','','apheleia'),
 ('UserJobDesc1','Copy to Videos','apheleia'),
 ('UserJobDesc2','Encode to x264 mkv','apheleia'),
 ('UserJobDesc3','Encode Audio to mp3','apheleia'),
 ('UserJobDesc4','','apheleia');
--

INSERT INTO `settings` (`value`, `data`, `hostname`) VALUES
('MiscStatusScript','/usr/bin/misc_status_info.sh','apheleia');


--UPDATE `keybindings`  set `keylist` = "Alt+Esc" WHERE `action` = 'EXITPROMPT' ;

-- Add a dummy tuner and videosource so BE will at least start
INSERT INTO `capturecard` (`videodevice`,`cardtype`,`defaultinput`,`hostname`) VALUES
('file://tmp/demo.mpg' , 'DEMO', 'Television', 'apheleia');

--INSERT INTO `videosource` (`name`, `xmltvgrabber`) VALUES
--('DEMO_VIDEO_SOURCE' , '/bin/true');
